.:: Bots United ::.  
filebase forums irc server wiki web
cubebot epodbot fritzbot gravebot grogbot hpbbot ivpbot jkbotti joebot
meanmod podbotmm racc rcbot realbot sandbot shrikebot soulfathermaps waypoints yapb

Go Back   .:: Bots United ::. > Cyborg Factory > POD-Bot mm > Common Questions
Common Questions Are you seeking help ? Get it here !

Reply
 
Thread Tools
Fedora Core 6 POD-Bot mm
Old
  (#31)
[MOJO]*BodyCount
Member
 
Status: Offline
Posts: 6
Join Date: Jul 2006
Default Fedora Core 6 POD-Bot mm - 10-05-2007

I know this has been sticked but the answer is kind of hard to pick out in all the post.

If your Running Fedora Core 6 (linux) and want POD-Bot mm to work, you must have this RPM installed.(well unless you compiled it yourself)

compat-libstdc++-33

Login as root

su
password: typeyourrootpasswordhere

Then run this command :

Code:
yum install compat-libstdc++-33
This fixed my problem of podbot_mm.so in metamod not loading properly.

Hope this help someone find the answer faster.

[MOJO]*BodyCount
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#32)
KWo
Developer of PODBot mm
 
KWo's Avatar
 
Status: Offline
Posts: 3,424
Join Date: Apr 2004
Default Re: Unable to load pb mm on Linux - 11-05-2007

Because the info You posted might be very important for some linux users, I've merged it with the main thread it was concerning to. I didn't want to make the new sticky topic about the same.
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#33)
Allan Button
Member
 
Status: Offline
Posts: 1
Join Date: Jun 2007
Default Re: Unable to load pb mm on Linux - 05-06-2007

Hello, just thought I'd let everyone know.

Just installed the latest stable PODBot on the latest AMX Modx on Debian Etch ( latest updates/upgrades aswell ).

It wouldent load right away, I had to

Code:
apt-get install libstdc++5
to get it to work, but thanks for stickying this thread, its come in handy for me atleast.

Take care,
Allan.
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#34)
The Storm
Council Member / E[POD]bot developer
 
The Storm's Avatar
 
Status: Offline
Posts: 1,605
Join Date: Jul 2004
Location: Bulgaria
Default Re: Unable to load pb mm on Linux - 05-06-2007

PODbot_mm is compiled against old dependieses, this happens because of Cygwin old cross-compiling GCC, the bad is that there is no new version of it available. There is two ways to make this to not happen - static link STL with the bot .so or compiling on some new Linux distro. If he can't find the needed resousres I will be glad to help him with the compiling - just contact me in ICQ.
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#35)
Onno Kreuzinger
aka: memed / Server Admin
 
Onno Kreuzinger's Avatar
 
Status: Offline
Posts: 705
Join Date: Jan 2004
Location: germany
Default Re: Unable to load pb mm on Linux - 05-06-2007

Hi,

yes mam', we will provide compiled bots for all mayor linux distros, the tricky part will be packaging all the different bots and making distro specific deb/rpm/tgz's, that integrate well.
Assuming I can provide most linux OS'es (with devel pakages) in a few minutes, I'm looking for package maintainers for either some or all the (popular) bots.

So any one interessted?

Cheers Onno


sunny morning view from my balcony:

see our WIKI!
see our filebase!
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#36)
The Storm
Council Member / E[POD]bot developer
 
The Storm's Avatar
 
Status: Offline
Posts: 1,605
Join Date: Jul 2004
Location: Bulgaria
Default Re: Unable to load pb mm on Linux - 05-06-2007

Actaully is hard to make such install packages for bots like rpm's and deb's because the hl server is not install package itself and it can be installed each time in differend directories so it will be hard for the install packages to detect it but we can use something better - nixstaller.
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#37)
StevnJ9971
Member
 
Status: Offline
Posts: 8
Join Date: Aug 2006
Default Re: Unable to load pb mm on Linux - 05-08-2007

I've read this whole thread, and I still don't understand what's wrong with mine...
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#38)
KWo
Developer of PODBot mm
 
KWo's Avatar
 
Status: Offline
Posts: 3,424
Join Date: Apr 2004
Default Re: Unable to load pb mm on Linux - 05-08-2007

Quote:
Originally Posted by Allan Button View Post
Hello, just thought I'd let everyone know.

Just installed the latest stable PODBot on the latest AMX Modx on Debian Etch ( latest updates/upgrades aswell ).

It wouldent load right away, I had to

Code:
apt-get install libstdc++5
to get it to work, but thanks for stickying this thread, its come in handy for me atleast.

Take care,
Allan.
Try to follow him. You need to have libstdc++5 installed - that's all.
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#39)
StevnJ9971
Member
 
Status: Offline
Posts: 8
Join Date: Aug 2006
Default Re: Unable to load pb mm on Linux - 12-08-2007

Well I just talked to the owner of my server and he said he has that installed, but it's the latest version. Would that make a difference?
  
Reply With Quote
Re: Unable to load pb mm on Linux
Old
  (#40)
KWo
Developer of PODBot mm
 
KWo's Avatar
 
Status: Offline
Posts: 3,424
Join Date: Apr 2004
Default Re: Unable to load pb mm on Linux - 12-08-2007

Yes it does make the difference. Podbot mm is not loading with libstdc++6, but it loads with libstdc++5 (older version).
  
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump



Powered by vBulletin® Version 3.8.2
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
vBulletin Skin developed by: vBStyles.com